# frozen_string_literal: true

require_relative "lib/sci/signal/version"

Gem::Specification.new do |spec|
  spec.name          = "sci-signal"
  spec.version       = Sci::Signal::VERSION
  spec.authors       = ["Murata Mitsuharu"]
  spec.email         = ["hikari.photon+mygit@gmail.com"]
  spec.license       = "MIT"

  spec.summary       = "Signal Processing Library (dev)"
  spec.required_ruby_version = ">= 2.4.0"
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
  
  
  spec.add_development_dependency "rake", "~> 13.0"
  spec.add_dependency "numo-narray", "~> 0.9.2.0"
end
